{
  "schema_version": "1.4.0",
  "id": "GHSA-rv23-gf9q-6frc",
  "modified": "2022-05-03T03:18:02Z",
  "published": "2022-05-03T03:18:02Z",
  "aliases": [
    "CVE-2007-0988"
  ],
  "details": "The zend_hash_init function in PHP 5 before 5.2.1 and PHP 4 before 4.4.5, when running on a 64-bit platform, allows context-dependent attackers to cause a denial of service (infinite loop) by unserializing certain integer expressions, which only cause 32-bit arguments to be used after the check for a negative value, as demonstrated by an \"a:2147483649:{\" argument.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-0988"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/32709"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1088"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11092"
    },
    {
      "type": "WEB",
      "url": "http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228858"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?lang=en&cc=us&objectID=c01056506"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?lang=en&cc=us&objectID=c01086137"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/32762"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0089.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24195"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24217"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24236"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24248"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24284"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24295"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24322"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24419"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24421"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24432"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24606"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24642"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25056"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25423"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25850"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200703-21.xml"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/2315"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-101.htm"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-136.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:048"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_32_php.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openpkg.com/security/advisories/OpenPKG-SA-2007.010.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php-security.org/MOPB/MOPB-05-2007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/5_2_1.php"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0076.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0081.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0082.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0088.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/461462/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017671"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0009"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-424-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-424-2"
    },
    {
      "type": "WEB",
      "url": "http://www.us.debian.org/security/2007/dsa-1264"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1991"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2374"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-02-20T17:28:00Z"
  }
}